Bug #2630: generator.rb missing from 1.9.1 standard library?
http://redmine.ruby-lang.org/issues/show/2630

Author: Mike Woodhouse
Status: Open, Priority: Normal
Category: lib
ruby -v: 1.9.1

Installed 1.9.1 Windows installer RC1 - generator.rb seems not to be not present

I copied generator.rb from lib/ruby/1.8, which fixed the problem with the library that required it.

AFAIK, generator is part of the standard library in 1.8 (it's documented on p683 of Pickaxe Second Edition).

Unintended omission? Functionality not needed in 1.9?


----------------------------------------
http://redmine.ruby-lang.org